#####################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../data/ap/schema.4gl  1.15  Delta: 2/11/91
#####################################################################


# This file represents the internal definition of
# the tables, columns, indexes, and views.
# It has been automatically generated using FourGen CASE tools.

globals "globals.4gl"

#####################################################################
function define_data()
#####################################################################
#
    define
        a char(18),   # holding bin for the column name
        b smallint,   # holding bin for the column type
        c smallint,   # holding bin for the column length
        d char(1),    # (Y/N) unique index?
        e char(1),    # (Y/N) clustered index?
        f smallint,   # part 1 of index
        g smallint,   # part 2 of index
        h smallint,   # part 3 of index
        i smallint,   # part 4 of index
        j smallint,   # part 5 of index
        k smallint,   # part 6 of index
        l smallint,   # part 7 of index
        m smallint,   # part 8 of index
        n smallint,   # generic counter
        t char(45)    # text portion of the view

    # Set the array boundaries
    let gn_tab = 26    # number of active elements in the tab[] array
    let gx_tab = 26    # maximum number of elements in the tab[] array
    let gn_col = 253   # number of active elements in the col[] array
    let gx_col = 253   # maximum number of elements in the col[] array
    let gn_idx = 24    # number of active elements in the idx[] array
    let gx_idx = 24    # maximum number of elements in the idx[] array
    let gn_viw = 20    # number of active elements in the viw[] array
    let gx_viw = 20    # maximum number of elements in the viw[] array

    # Set some default table elements
    for n = 1 to gn_tab
        let tab[n].col_start = 0
        let tab[n].col_end = 0
        let tab[n].idx_start = 0
        let tab[n].idx_end = 0
        let tab[n].viw_start = 0
        let tab[n].viw_end = 0
    end for

    # Table: pcdtablr
    let tab[1].tabname = "pcdtablr"
    let tab[1].col_start = 1
    let tab[1].col_end = 3
    let tab[1].idx_start = 1
    let tab[1].idx_end = 1
    let tab[1].serial_start = 1000
    for n = 1 to 3
        case n
          when 1  let a="prodid"  let b=0  let c=8
          when 2  let a="line_no"  let b=1  let c=2
          when 3  let a="tabname"  let b=0  let c=18
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpcntrc
    let tab[2].tabname = "stpcntrc"
    let tab[2].col_start = 4
    let tab[2].col_end = 22
    let tab[2].serial_start = 1000
    for n = 4 to 22
        case n
          when 4  let a="terms_code"  let b=0  let c=6
          when 5  let a="ap_acct_no"  let b=2  let c=4
          when 6  let a="cd_cash_acct_no"  let b=2  let c=4
          when 7  let a="cd_disc_acct_no"  let b=2  let c=4
          when 8  let a="ap_doc_no"  let b=2  let c=4
          when 9  let a="ap_post_no"  let b=2  let c=4
          when 10  let a="ap_balanced"  let b=0  let c=1
          when 11  let a="cd_doc_no"  let b=2  let c=4
          when 12  let a="cd_post_no"  let b=2  let c=4
          when 13  let a="age_datetype"  let b=0  let c=1
          when 14  let a="age_per1"  let b=1  let c=2
          when 15  let a="age_per2"  let b=1  let c=2
          when 16  let a="age_per3"  let b=1  let c=2
          when 17  let a="age_dsc1"  let b=0  let c=15
          when 18  let a="age_dsc2"  let b=0  let c=15
          when 19  let a="age_dsc3"  let b=0  let c=15
          when 20  let a="age_dsc4"  let b=0  let c=15
          when 21  let a="federal_tax_id"  let b=0  let c=10
          when 22  let a="dflt_1099"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stptranr
    let tab[3].tabname = "stptranr"
    let tab[3].col_start = 23
    let tab[3].col_end = 26
    let tab[3].idx_start = 2
    let tab[3].idx_end = 3
    let tab[3].serial_start = 1000
    for n = 23 to 26
        case n
          when 23  let a="orig_journal"  let b=256  let c=2
          when 24  let a="doc_no"  let b=258  let c=4
          when 25  let a="inv_chk_no"  let b=0  let c=10
          when 26  let a="doc_type"  let b=0  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpvendr
    let tab[4].tabname = "stpvendr"
    let tab[4].col_start = 27
    let tab[4].col_end = 64
    let tab[4].idx_start = 4
    let tab[4].idx_end = 5
    let tab[4].serial_start = 1000
    for n = 27 to 64
        case n
          when 27  let a="vend_code"  let b=0  let c=6
          when 28  let a="bus_name"  let b=0  let c=30
          when 29  let a="contact"  let b=0  let c=20
          when 30  let a="phone"  let b=0  let c=20
          when 31  let a="address1"  let b=0  let c=30
          when 32  let a="address2"  let b=0  let c=30
          when 33  let a="city"  let b=0  let c=20
          when 34  let a="state"  let b=0  let c=2
          when 35  let a="zip"  let b=0  let c=10
          when 36  let a="country"  let b=0  let c=20
          when 37  let a="credit_limit"  let b=5  let c=3327
          when 38  let a="terms_code"  let b=0  let c=6
          when 39  let a="act_grp"  let b=0  let c=6
          when 40  let a="spec_billing"  let b=0  let c=50
          when 41  let a="ap_acct_dflt"  let b=2  let c=4
          when 42  let a="ap_department_dflt"  let b=0  let c=3
          when 43  let a="last_pay_date"  let b=7  let c=4
          when 44  let a="hold_pymnt"  let b=0  let c=1
          when 45  let a="take_dscnt"  let b=0  let c=1
          when 46  let a="acct_bal"  let b=5  let c=3327
          when 47  let a="on_acct_amt"  let b=5  let c=3327
          when 48  let a="arch_bal"  let b=5  let c=3327
          when 49  let a="spec_shipping"  let b=0  let c=50
          when 50  let a="taxable"  let b=0  let c=1
          when 51  let a="bo_allowed"  let b=0  let c=1
          when 52  let a="pay_method"  let b=0  let c=6
          when 53  let a="buyer_code"  let b=0  let c=6
          when 54  let a="trd_ds_code"  let b=0  let c=6
          when 55  let a="eta_days"  let b=1  let c=2
          when 56  let a="st_tx_code"  let b=0  let c=6
          when 57  let a="co_tx_code"  let b=0  let c=6
          when 58  let a="ci_tx_code"  let b=0  let c=6
          when 59  let a="cash_acct_no"  let b=2  let c=4
          when 60  let a="cash_department"  let b=0  let c=3
          when 61  let a="exp_acct_no"  let b=2  let c=4
          when 62  let a="exp_department"  let b=0  let c=3
          when 63  let a="print_1099"  let b=0  let c=1
          when 64  let a="federal_tax_id"  let b=0  let c=11
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpopend
    let tab[5].tabname = "stpopend"
    let tab[5].col_start = 65
    let tab[5].col_end = 85
    let tab[5].idx_start = 6
    let tab[5].idx_end = 6
    let tab[5].serial_start = 1000
    for n = 65 to 85
        case n
          when 65  let a="vend_code"  let b=0  let c=6
          when 66  let a="pay_to_code"  let b=0  let c=6
          when 67  let a="inv_no"  let b=0  let c=10
          when 68  let a="doc_no"  let b=2  let c=4
          when 69  let a="inv_desc"  let b=0  let c=30
          when 70  let a="inv_date"  let b=7  let c=4
          when 71  let a="orig_amount"  let b=5  let c=3327
          when 72  let a="disc_amt"  let b=5  let c=3327
          when 73  let a="balance"  let b=5  let c=3327
          when 74  let a="disc_bal"  let b=5  let c=3327
          when 75  let a="due_date"  let b=7  let c=4
          when 76  let a="disc_date"  let b=7  let c=4
          when 77  let a="ap_acct_no"  let b=2  let c=4
          when 78  let a="ap_department"  let b=0  let c=3
          when 79  let a="po_no"  let b=0  let c=10
          when 80  let a="po_date"  let b=7  let c=4
          when 81  let a="to_pay_amt"  let b=5  let c=3327
          when 82  let a="to_take_disc"  let b=5  let c=3327
          when 83  let a="to_pay_date"  let b=7  let c=4
          when 84  let a="cash_acct_no"  let b=2  let c=4
          when 85  let a="cash_department"  let b=0  let c=3
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpactvd
    let tab[6].tabname = "stpactvd"
    let tab[6].col_start = 86
    let tab[6].col_end = 90
    let tab[6].idx_start = 7
    let tab[6].idx_end = 8
    let tab[6].serial_start = 1000
    for n = 86 to 90
        case n
          when 86  let a="orig_journal"  let b=256  let c=2
          when 87  let a="doc_no"  let b=258  let c=4
          when 88  let a="act_type"  let b=0  let c=1
          when 89  let a="inv_doc_no"  let b=2  let c=4
          when 90  let a="amount"  let b=5  let c=3327
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpcashe
    let tab[7].tabname = "stpcashe"
    let tab[7].col_start = 91
    let tab[7].col_end = 108
    let tab[7].idx_start = 9
    let tab[7].idx_end = 10
    let tab[7].serial_start = 1000
    for n = 91 to 108
        case n
          when 91  let a="chk_date"  let b=7  let c=4
          when 92  let a="doc_no"  let b=262  let c=4
          when 93  let a="vend_code"  let b=0  let c=6
          when 94  let a="pay_to_code"  let b=0  let c=6
          when 95  let a="check_no"  let b=0  let c=10
          when 96  let a="doc_desc"  let b=0  let c=30
          when 97  let a="cash_amt"  let b=5  let c=3327
          when 98  let a="cash_acct"  let b=2  let c=4
          when 99  let a="cash_department"  let b=0  let c=3
          when 100  let a="cash_deb_cred"  let b=0  let c=2
          when 101  let a="oa_amt"  let b=5  let c=3327
          when 102  let a="oa_acct"  let b=2  let c=4
          when 103  let a="oa_department"  let b=0  let c=3
          when 104  let a="oa_deb_cred"  let b=0  let c=2
          when 105  let a="print_chk"  let b=0  let c=1
          when 106  let a="ok_to_post"  let b=0  let c=1
          when 107  let a="chk_printed"  let b=0  let c=1
          when 108  let a="ap_type"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpcashd
    let tab[8].tabname = "stpcashd"
    let tab[8].col_start = 109
    let tab[8].col_end = 120
    let tab[8].idx_start = 11
    let tab[8].idx_end = 11
    let tab[8].serial_start = 1000
    for n = 109 to 120
        case n
          when 109  let a="doc_no"  let b=2  let c=4
          when 110  let a="inv_doc_no"  let b=2  let c=4
          when 111  let a="inv_no"  let b=0  let c=10
          when 112  let a="due_date"  let b=7  let c=4
          when 113  let a="dist_acct"  let b=2  let c=4
          when 114  let a="dist_department"  let b=0  let c=3
          when 115  let a="dist_amt"  let b=5  let c=3327
          when 116  let a="dist_deb_cred"  let b=0  let c=2
          when 117  let a="disc_acct"  let b=2  let c=4
          when 118  let a="disc_department"  let b=0  let c=3
          when 119  let a="disc_amt"  let b=5  let c=3327
          when 120  let a="disc_deb_cred"  let b=0  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpinvce
    let tab[9].tabname = "stpinvce"
    let tab[9].col_start = 121
    let tab[9].col_end = 151
    let tab[9].serial_start = 1000
    for n = 121 to 151
        case n
          when 121  let a="doc_no"  let b=262  let c=4
          when 122  let a="inv_no"  let b=0  let c=10
          when 123  let a="department"  let b=0  let c=3
          when 124  let a="file_type"  let b=0  let c=1
          when 125  let a="ref_no"  let b=2  let c=4
          when 126  let a="inv_desc"  let b=0  let c=30
          when 127  let a="doc_date"  let b=7  let c=4
          when 128  let a="vend_code"  let b=0  let c=6
          when 129  let a="pay_to_code"  let b=0  let c=6
          when 130  let a="posted"  let b=0  let c=1
          when 131  let a="recurring"  let b=0  let c=1
          when 132  let a="terms_code"  let b=0  let c=6
          when 133  let a="inv_date"  let b=7  let c=4
          when 134  let a="to_pay_date"  let b=7  let c=4
          when 135  let a="due_date"  let b=7  let c=4
          when 136  let a="disc_date"  let b=7  let c=4
          when 137  let a="disc_pct"  let b=5  let c=1791
          when 138  let a="po_date"  let b=7  let c=4
          when 139  let a="po_no"  let b=0  let c=10
          when 140  let a="disc_acct_no"  let b=2  let c=4
          when 141  let a="disc_department"  let b=0  let c=3
          when 142  let a="disc_amount"  let b=5  let c=3327
          when 143  let a="disc_debit_credit"  let b=0  let c=2
          when 144  let a="ap_acct_no"  let b=2  let c=4
          when 145  let a="ap_department"  let b=0  let c=3
          when 146  let a="ap_amount"  let b=5  let c=3327
          when 147  let a="ap_debit_credit"  let b=0  let c=2
          when 148  let a="ok_to_post"  let b=0  let c=1
          when 149  let a="cash_acct_no"  let b=2  let c=4
          when 150  let a="cash_department"  let b=0  let c=3
          when 151  let a="recurr_ref"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpinvcd
    let tab[10].tabname = "stpinvcd"
    let tab[10].col_start = 152
    let tab[10].col_end = 157
    let tab[10].idx_start = 12
    let tab[10].idx_end = 12
    let tab[10].serial_start = 1000
    for n = 152 to 157
        case n
          when 152  let a="doc_no"  let b=258  let c=4
          when 153  let a="line_no"  let b=1  let c=2
          when 154  let a="acct_no"  let b=2  let c=4
          when 155  let a="department"  let b=0  let c=3
          when 156  let a="amount"  let b=5  let c=3327
          when 157  let a="debit_credit"  let b=0  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stppytor
    let tab[11].tabname = "stppytor"
    let tab[11].col_start = 158
    let tab[11].col_end = 179
    let tab[11].idx_start = 13
    let tab[11].idx_end = 13
    let tab[11].serial_start = 1000
    for n = 158 to 179
        case n
          when 158  let a="vend_code"  let b=0  let c=6
          when 159  let a="pay_to_code"  let b=0  let c=6
          when 160  let a="pay_to_name"  let b=0  let c=30
          when 161  let a="contact"  let b=0  let c=20
          when 162  let a="phone"  let b=0  let c=20
          when 163  let a="address1"  let b=0  let c=30
          when 164  let a="address2"  let b=0  let c=30
          when 165  let a="city"  let b=0  let c=20
          when 166  let a="state"  let b=0  let c=2
          when 167  let a="zip"  let b=0  let c=10
          when 168  let a="country"  let b=0  let c=20
          when 169  let a="take_dscnt"  let b=0  let c=1
          when 170  let a="spec_billing"  let b=0  let c=50
          when 171  let a="taxable"  let b=0  let c=1
          when 172  let a="bo_allowed"  let b=0  let c=1
          when 173  let a="pay_method"  let b=0  let c=6
          when 174  let a="buyer_code"  let b=0  let c=6
          when 175  let a="trd_ds_code"  let b=0  let c=6
          when 176  let a="eta_days"  let b=1  let c=2
          when 177  let a="st_tx_code"  let b=0  let c=6
          when 178  let a="co_tx_code"  let b=0  let c=6
          when 179  let a="ci_tx_code"  let b=0  let c=6
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stptermr
    let tab[12].tabname = "stptermr"
    let tab[12].col_start = 180
    let tab[12].col_end = 184
    let tab[12].idx_start = 14
    let tab[12].idx_end = 14
    let tab[12].serial_start = 1000
    for n = 180 to 184
        case n
          when 180  let a="terms_code"  let b=0  let c=6
          when 181  let a="terms_desc"  let b=0  let c=30
          when 182  let a="due_days"  let b=1  let c=2
          when 183  let a="disc_days"  let b=1  let c=2
          when 184  let a="disc_pct"  let b=5  let c=1791
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpvoidr
    let tab[13].tabname = "stpvoidr"
    let tab[13].col_start = 185
    let tab[13].col_end = 186
    let tab[13].serial_start = 1000
    for n = 185 to 186
        case n
          when 185  let a="chk_doc_no"  let b=2  let c=4
          when 186  let a="doc_no"  let b=262  let c=4
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxprogr
    let tab[14].tabname = "stxprogr"
    let tab[14].col_start = 187
    let tab[14].col_end = 190
    let tab[14].idx_start = 15
    let tab[14].idx_end = 15
    let tab[14].serial_start = 1000
    for n = 187 to 190
        case n
          when 187  let a="module"  let b=0  let c=8
          when 188  let a="progname"  let b=0  let c=8
          when 189  let a="description"  let b=0  let c=30
          when 190  let a="use_trx"  let b=1  let c=2
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxtranr
    let tab[15].tabname = "stxtranr"
    let tab[15].col_start = 191
    let tab[15].col_end = 197
    let tab[15].idx_start = 16
    let tab[15].idx_end = 16
    let tab[15].serial_start = 1000
    for n = 191 to 197
        case n
          when 191  let a="orig_journal"  let b=256  let c=2
          when 192  let a="doc_no"  let b=258  let c=4
          when 193  let a="post_no"  let b=2  let c=4
          when 194  let a="post_date"  let b=7  let c=4
          when 195  let a="doc_date"  let b=263  let c=4
          when 196  let a="ref_code"  let b=0  let c=6
          when 197  let a="doc_desc"  let b=0  let c=30
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerorh
    let tab[16].tabname = "stxerorh"
    let tab[16].col_start = 198
    let tab[16].col_end = 203
    let tab[16].idx_start = 17
    let tab[16].idx_end = 17
    let tab[16].serial_start = 1000
    for n = 198 to 203
        case n
          when 198  let a="language"  let b=0  let c=3
          when 199  let a="userdef"  let b=0  let c=1
          when 200  let a="err_module"  let b=0  let c=8
          when 201  let a="err_program"  let b=0  let c=8
          when 202  let a="err_number"  let b=1  let c=2
          when 203  let a="err_line"  let b=0  let c=40
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxerord
    let tab[17].tabname = "stxerord"
    let tab[17].col_start = 204
    let tab[17].col_end = 211
    let tab[17].idx_start = 18
    let tab[17].idx_end = 18
    let tab[17].serial_start = 1000
    for n = 204 to 211
        case n
          when 204  let a="language"  let b=0  let c=3
          when 205  let a="userdef"  let b=0  let c=1
          when 206  let a="err_module"  let b=0  let c=8
          when 207  let a="err_program"  let b=0  let c=8
          when 208  let a="err_number"  let b=1  let c=2
          when 209  let a="a_b"  let b=0  let c=1
          when 210  let a="line_no"  let b=1  let c=2
          when 211  let a="err_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhelpd
    let tab[18].tabname = "stxhelpd"
    let tab[18].col_start = 212
    let tab[18].col_end = 218
    let tab[18].idx_start = 19
    let tab[18].idx_end = 19
    let tab[18].serial_start = 1000
    for n = 212 to 218
        case n
          when 212  let a="language"  let b=0  let c=3
          when 213  let a="userdef"  let b=0  let c=1
          when 214  let a="hlp_module"  let b=0  let c=18
          when 215  let a="hlp_program"  let b=0  let c=18
          when 216  let a="hlp_number"  let b=1  let c=2
          when 217  let a="line_no"  let b=1  let c=2
          when 218  let a="hlp_text"  let b=0  let c=60
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stgtranr
    let tab[19].tabname = "stgtranr"
    let tab[19].col_start = 219
    let tab[19].col_end = 223
    let tab[19].idx_start = 20
    let tab[19].idx_end = 21
    let tab[19].serial_start = 1000
    for n = 219 to 223
        case n
          when 219  let a="orig_journal"  let b=256  let c=2
          when 220  let a="doc_no"  let b=258  let c=4
          when 221  let a="acct_period"  let b=0  let c=2
          when 222  let a="acct_year"  let b=0  let c=4
          when 223  let a="status"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stgactvd
    let tab[20].tabname = "stgactvd"
    let tab[20].col_start = 224
    let tab[20].col_end = 229
    let tab[20].idx_start = 22
    let tab[20].idx_end = 23
    let tab[20].serial_start = 1000
    for n = 224 to 229
        case n
          when 224  let a="orig_journal"  let b=256  let c=2
          when 225  let a="doc_no"  let b=258  let c=4
          when 226  let a="acct_no"  let b=2  let c=4
          when 227  let a="department"  let b=0  let c=3
          when 228  let a="amount"  let b=5  let c=3327
          when 229  let a="debit_credit"  let b=0  let c=1
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stp1099r
    let tab[21].tabname = "stp1099r"
    let tab[21].col_start = 230
    let tab[21].col_end = 241
    let tab[21].idx_start = 24
    let tab[21].idx_end = 24
    let tab[21].serial_start = 1000
    for n = 230 to 241
        case n
          when 230  let a="vend_code"  let b=0  let c=6
          when 231  let a="total_amt"  let b=5  let c=3327
          when 232  let a="cat_1_amt"  let b=5  let c=3327
          when 233  let a="cat_2_amt"  let b=5  let c=3327
          when 234  let a="cat_3_amt"  let b=5  let c=3327
          when 235  let a="cat_4_amt"  let b=5  let c=3327
          when 236  let a="cat_5_amt"  let b=5  let c=3327
          when 237  let a="cat_6_amt"  let b=5  let c=3327
          when 238  let a="cat_7_amt"  let b=5  let c=3327
          when 239  let a="cat_8_amt"  let b=5  let c=3327
          when 240  let a="cat_9_amt"  let b=5  let c=3327
          when 241  let a="cat_10_amt"  let b=5  let c=3327
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stpractr
    let tab[22].tabname = "stpractr"
    let tab[22].col_start = 242
    let tab[22].col_end = 243
    let tab[22].serial_start = 1000
    for n = 242 to 243
        case n
          when 242  let a="acct_no"  let b=2  let c=4
          when 243  let a="department"  let b=0  let c=3
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxhotkd
    let tab[23].tabname = "stxhotkd"
    let tab[23].col_start = 244
    let tab[23].col_end = 248
    let tab[23].serial_start = 1000
    for n = 244 to 248
        case n
          when 244  let a="hot_key"  let b=1  let c=2
          when 245  let a="act_key"  let b=0  let c=15
          when 246  let a="hot_module"  let b=0  let c=8
          when 247  let a="hot_program"  let b=0  let c=8
          when 248  let a="hot_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stxnvgtd
    let tab[24].tabname = "stxnvgtd"
    let tab[24].col_start = 249
    let tab[24].col_end = 253
    let tab[24].serial_start = 1000
    for n = 249 to 253
        case n
          when 249  let a="act_key"  let b=0  let c=15
          when 250  let a="line_no"  let b=1  let c=2
          when 251  let a="nav_module"  let b=0  let c=8
          when 252  let a="nav_program"  let b=0  let c=8
          when 253  let a="nav_user"  let b=0  let c=10
        end case
        let col[n].colname = a
        let col[n].coltype = b
        let col[n].collength = c
    end for

    # Table: stptranv
    let tab[25].tabname = "stptranv"
    let tab[25].viw_start = 1
    let tab[25].viw_end = 8

    # Table: stpactvv
    let tab[26].tabname = "stpactvv"
    let tab[26].viw_start = 9
    let tab[26].viw_end = 20

    # Indexes:
    for n = 1 to 24
        case n
          when 1
            let a="i1dtablr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 2
            let a="i1ptranr"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 3
            let a="i2ptranr"  let d="Y"  let e="N"
            let f=4  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 4
            let a="i1pvendr"  let d="Y"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 5
            let a="i2pvendr"  let d="N"  let e="N"
            let f=2  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 6
            let a="i1popend"  let d="N"  let e="N"
            let f=1  let g=2  let h=20  let i=21
            let j=0  let k=0  let l=0  let m=0
          when 7
            let a="i1pactvd"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 8
            let a="i2pactvd"  let d="N"  let e="N"
            let f=4  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 9
            let a="i1pcashe"  let d="N"  let e="N"
            let f=2  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 10
            let a="i2pcashe"  let d="N"  let e="N"
            let f=3  let g=4  let h=8  let i=9
            let j=0  let k=0  let l=0  let m=0
          when 11
            let a="i1pcashd"  let d="N"  let e="N"
            let f=1  let g=4  let h=2  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 12
            let a="i1pinvcd"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 13
            let a="i1ppytor"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 14
            let a="i1ptermr"  let d="Y"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 15
            let a="i1xprogr"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 16
            let a="i2xtranr"  let d="N"  let e="N"
            let f=6  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 17
            let a="i1xerorh"  let d="Y"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=5  let k=0  let l=0  let m=0
          when 18
            let a="i1xerord"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=5  let k=6  let l=7  let m=0
          when 19
            let a="i1xhelpd"  let d="N"  let e="N"
            let f=1  let g=2  let h=3  let i=4
            let j=5  let k=6  let l=0  let m=0
          when 20
            let a="i1gtranr"  let d="Y"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 21
            let a="i2gtranr"  let d="N"  let e="N"
            let f=5  let g=4  let h=3  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 22
            let a="i1gactvd"  let d="N"  let e="N"
            let f=1  let g=2  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 23
            let a="i2gactvd"  let d="N"  let e="N"
            let f=3  let g=4  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
          when 24
            let a="i1p1099r"  let d="Y"  let e="N"
            let f=1  let g=0  let h=0  let i=0
            let j=0  let k=0  let l=0  let m=0
        end case
        let idx[n].idxname = a
        let idx[n].unique_idx = d
        let idx[n].clustered = e
        let idx[n].part[1] = f
        let idx[n].part[2] = g
        let idx[n].part[3] = h
        let idx[n].part[4] = i
        let idx[n].part[5] = j
        let idx[n].part[6] = k
        let idx[n].part[7] = l
        let idx[n].part[8] = m
    end for

    # Views:
    for n = 1 to 20
        case n
          when 1 let t="create view  stptranv (orig_journal,doc_no,po"
          when 2 let t="st_no,post_date,doc_date,ref_code,doc_desc,in"
          when 3 let t="v_chk_no,doc_type) as select x1.orig_journal"
          when 4 let t=" ,x1.doc_no ,x1.post_no ,x1.post_date ,x1.doc"
          when 5 let t="_date,x1.ref_code ,x1.doc_desc ,x0.inv_chk_no"
          when 6 let t=" ,x0.doc_type from  stptranr x0 , stxtranr x1"
          when 7 let t=" where ((x1.orig_journal =x0.orig_journal ) A"
          when 8 let t="ND (x1.doc_no = x0.doc_no ) ) ;"
          when 9 let t="create view  stpactvv (orig_journal,doc_no,po"
          when 10 let t="st_no,post_date,doc_date,ref_code,doc_desc,in"
          when 11 let t="v_chk_no,doc_type,act_type,inv_doc_no,amount)"
          when 12 let t=" as select x1.orig_journal ,x1.doc_no ,x1.pos"
          when 13 let t="t_no,x1.post_date ,x1.doc_date ,x1.ref_code ,"
          when 14 let t="x1.doc_desc ,x0.inv_chk_no ,x0.doc_type ,x2.a"
          when 15 let t="ct_type ,x2.inv_doc_no ,x2.amount from  stptr"
          when 16 let t="anr x0 , stxtranr x1 , stpactvd x2 where (((("
          when 17 let t="x0.doc_no = x1.doc_no ) AND (x0.doc_no = x2.d"
          when 18 let t="oc_no ) ) AND (x0.orig_journal = x1.orig_jour"
          when 19 let t="nal ) ) AND (x0.orig_journal = x2.orig_journa"
          when 20 let t="l ) ) ;"
        end case
        let viw[n].v_text = t
    end for

end function
# define_data()
